package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrPumpFill;

/**
 * 机泵润滑油加注确认清单Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrPumpFillMapper
{
    /**
     * 查询机泵润滑油加注确认清单
     *
     * @param id 机泵润滑油加注确认清单ID
     * @return 机泵润滑油加注确认清单
     */
    public TPssrPumpFill selectTPssrPumpFillById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询机泵润滑油加注确认清单列表
     *
     * @param tPssrPumpFill 机泵润滑油加注确认清单
     * @return 机泵润滑油加注确认清单集合
     */
    
    public List<TPssrPumpFill> selectTPssrPumpFillList(TPssrPumpFill tPssrPumpFill);

    /**
     * 新增机泵润滑油加注确认清单
     *
     * @param tPssrPumpFill 机泵润滑油加注确认清单
     * @return 结果
     */
    public int insertTPssrPumpFill(TPssrPumpFill tPssrPumpFill);

    /**
     * 修改机泵润滑油加注确认清单
     *
     * @param tPssrPumpFill 机泵润滑油加注确认清单
     * @return 结果
     */
    public int updateTPssrPumpFill(TPssrPumpFill tPssrPumpFill);
    public int updateTPssrPumpFillByIds(TPssrPumpFill tPssrPumpFill);


    public int updateAllBySubId(TPssrPumpFill tPssrPumpFill);

    /**
     * 删除机泵润滑油加注确认清单
     *
     * @param id 机泵润滑油加注确认清单ID
     * @return 结果
     */
    public int deleteTPssrPumpFillById(Long id);

    /**
     * 批量删除机泵润滑油加注确认清单
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrPumpFillByIds(Long[] ids);

    public TPssrPumpFill selectAllConfirmedPersonBySubId(TPssrPumpFill tPssrPumpFill);
}
